# -------------------------------------------------------------------------
#     This file is part of mMass - the spectrum analysis tool for MS.
#     Copyright (C) 2005-07 Martin Strohalm <mmass@biographics.cz>

#     This program is free software; you can redistribute it and/or modify
#     it under the terms of the GNU General Public License as published by
#     the Free Software Foundation; either version 2 of the License, or
#     (at your option) any later version.

#     This program is distributed in the hope that it will be useful,
#     but WITHOUT ANY WARRANTY; without even the implied warranty of
#     MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
#     GNU General Public License for more details.

#     Complete text of GNU GPL can be found in the file LICENSE in the
#     main directory of the program
# -------------------------------------------------------------------------

# Function: Menu and toolbar items IDs.

import wx

# file
ID_fileNew = wx.NewId()
ID_fileOpen = wx.NewId()
ID_fileSave = wx.NewId()
ID_fileSaveAs = wx.NewId()
ID_fileRecentFiles = wx.NewId()
ID_fileRecentFiles0 = wx.NewId()
ID_fileRecentFiles1 = wx.NewId()
ID_fileRecentFiles2 = wx.NewId()
ID_fileRecentFiles3 = wx.NewId()
ID_fileRecentFiles4 = wx.NewId()
ID_fileRecentFiles5 = wx.NewId()
ID_fileRecentFiles6 = wx.NewId()
ID_fileRecentFiles7 = wx.NewId()
ID_fileRecentFiles8 = wx.NewId()
ID_fileRecentFiles9 = wx.NewId()
ID_filePrint = wx.NewId()
ID_filePrintSpectrum = wx.NewId()
ID_filePrintReport = wx.NewId()
ID_filePageSetup = wx.NewId()
ID_fileImport = wx.NewId()
ID_fileImportPeaklist = wx.NewId()
ID_fileImportSequence = wx.NewId()
ID_fileExport = wx.NewId()
ID_fileExportSpectrumData = wx.NewId()
ID_fileExportSpectrumImage = wx.NewId()
ID_fileExportPeaklist = wx.NewId()
ID_fileInfo = wx.NewId()
ID_fileClose = wx.NewId()
ID_fileExit = wx.NewId()

# peaklist
ID_peaklistUndo = wx.NewId()
ID_peaklistRedo = wx.NewId()
ID_peaklistAddPeak = wx.NewId()
ID_peaklistClearAllAnnots = wx.NewId()
ID_peaklistDeleteAllPeaks = wx.NewId()
ID_peaklistSelectAllPeaks = wx.NewId()
ID_peaklistSelectAnnotatedPeaks = wx.NewId()
ID_peaklistSelectByTreshold = wx.NewId()
ID_peaklistInvertSelection = wx.NewId()
ID_peaklistCopyToClipboard = wx.NewId()
ID_peaklistRefresh = wx.NewId()

# spectrum
ID_spectrumLabelPoint = wx.NewId()
ID_spectrumLabelPeak = wx.NewId()
ID_spectrumDeleteLabel = wx.NewId()
ID_spectrumMeasureDistance = wx.NewId()
ID_spectrumAddToCompare = wx.NewId()
ID_spectrumCopyToClipboard = wx.NewId()
ID_spectrumSetRange = wx.NewId()
ID_spectrumViewOptions = wx.NewId()
ID_spectrumRefresh = wx.NewId()

# processing
ID_processingUndo = wx.NewId()
ID_processingInternalCalibration = wx.NewId()
ID_processingStatisticalCalibration = wx.NewId()
ID_processingBaseline = wx.NewId()
ID_processingSmooth = wx.NewId()
ID_processingCrop = wx.NewId()

# matching
ID_matchingMatchData = wx.NewId()
ID_matchingMatchInfo = wx.NewId()
ID_matchingAnnotate = wx.NewId()

# sequence
ID_sequenceEditMod = wx.NewId()
ID_sequenceInfo = wx.NewId()
ID_sequenceHighlight = wx.NewId()
ID_sequenceSearchMass = wx.NewId()
ID_sequenceSearchSeq = wx.NewId()

# tools
ID_toolsMSpec = wx.NewId()
ID_toolsMSeq = wx.NewId()
ID_toolsMCut = wx.NewId()
ID_toolsMFrag = wx.NewId()
ID_toolsMDiff = wx.NewId()
ID_toolsMComp = wx.NewId()
ID_toolsMMascotPMF = wx.NewId()
ID_toolsMMascotSeq = wx.NewId()
ID_toolsMMascotMSMS = wx.NewId()
ID_toolsMConv = wx.NewId()

# links
ID_linksMSTools = wx.NewId()
ID_linksMatrixScience = wx.NewId()
ID_linksProspector = wx.NewId()
ID_linksExpasy = wx.NewId()
ID_linksModifs = wx.NewId()
ID_linksUniMod = wx.NewId()
ID_linksDeltaMass = wx.NewId()
ID_linksSeqDB = wx.NewId()
ID_linksUniProt = wx.NewId()
ID_linksEMBLEBI = wx.NewId()
ID_linksPIR = wx.NewId()
ID_linksNCBI = wx.NewId()
ID_linksSeqTools = wx.NewId()
ID_linksBLAST = wx.NewId()
ID_linksClustalW = wx.NewId()
ID_linksFASTA = wx.NewId()
ID_linksMUSCLE = wx.NewId()
ID_linksStruct = wx.NewId()
ID_linksPDB = wx.NewId()
ID_linksSearchXLinks = wx.NewId()

# config
ID_configMonoisotopic = wx.NewId()
ID_configAverage = wx.NewId()
ID_configTolerance = wx.NewId()
ID_configShowPeaklist = wx.NewId()
ID_configPeaklistBottom = wx.NewId()
ID_configModifications = wx.NewId()
ID_configPreferences = wx.NewId()

# help
ID_helpUpdate = wx.NewId()
ID_helpHomepage = wx.NewId()
ID_helpAbout = wx.NewId()


# mac specific
if wx.Platform == '__WXMAC__':
    ID_fileExit = wx.ID_EXIT
    ID_helpAbout = wx.ID_ABOUT
    ID_configPreferences = wx.ID_PREFERENCES